--
-- Selected TOC Entries:
--
\connect - postgres

--
-- TOC Entry ID 58 (OID 33224)
--
-- Name: "plpgsql_call_handler" () Type: FUNCTION Owner: postgres
--

CREATE FUNCTION "plpgsql_call_handler" () RETURNS opaque AS '$libdir/plpgsql', 'plpgsql_call_handler' LANGUAGE 'C';

--
-- TOC Entry ID 59 (OID 33225)
--
-- Name: plpgsql Type: PROCEDURAL LANGUAGE Owner: 
--

CREATE TRUSTED PROCEDURAL LANGUAGE 'plpgsql' HANDLER "plpgsql_call_handler" LANCOMPILER '';

--
-- TOC Entry ID 2 (OID 33241)
--
-- Name: notes_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "notes_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 4 (OID 33241)
--
-- Name: notes_index_seq Type: ACL Owner: 
--

REVOKE ALL on "notes_index_seq" from PUBLIC;
GRANT ALL on "notes_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "notes_index_seq" to "jstock";

--
-- TOC Entry ID 28 (OID 33243)
--
-- Name: notes Type: TABLE Owner: postgres
--

CREATE TABLE "notes" (
	"index" integer DEFAULT nextval('"notes_index_seq"'::text) NOT NULL,
	"tickerid" integer,
	"note" text,
	Constraint "notes_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 29 (OID 33243)
--
-- Name: notes Type: ACL Owner: 
--

REVOKE ALL on "notes" from PUBLIC;
GRANT ALL on "notes" to "postgres";
GRANT INSERT,SELECT,UPDATE on "notes" to "jstock";

--
-- TOC Entry ID 5 (OID 33249)
--
-- Name: tickers_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "tickers_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 7 (OID 33249)
--
-- Name: tickers_index_seq Type: ACL Owner: 
--

REVOKE ALL on "tickers_index_seq" from PUBLIC;
GRANT ALL on "tickers_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "tickers_index_seq" to "jstock";

--
-- TOC Entry ID 8 (OID 33263)
--
-- Name: exchange_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "exchange_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 10 (OID 33263)
--
-- Name: exchange_index_seq Type: ACL Owner: 
--

REVOKE ALL on "exchange_index_seq" from PUBLIC;
GRANT ALL on "exchange_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "exchange_index_seq" to "jstock";

--
-- TOC Entry ID 30 (OID 33265)
--
-- Name: exchange Type: TABLE Owner: postgres
--

CREATE TABLE "exchange" (
	"index" integer DEFAULT nextval('"exchange_index_seq"'::text) NOT NULL,
	"exchangename" character varying(20) NOT NULL,
	Constraint "exchange_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 31 (OID 33265)
--
-- Name: exchange Type: ACL Owner: 
--

REVOKE ALL on "exchange" from PUBLIC;
GRANT ALL on "exchange" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "exchange" to "jstock";

--
-- TOC Entry ID 11 (OID 33269)
--
-- Name: events_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "events_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 13 (OID 33269)
--
-- Name: events_index_seq Type: ACL Owner: 
--

REVOKE ALL on "events_index_seq" from PUBLIC;
GRANT ALL on "events_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "events_index_seq" to "jstock";

--
-- TOC Entry ID 32 (OID 33271)
--
-- Name: events Type: TABLE Owner: postgres
--

CREATE TABLE "events" (
	"index" integer DEFAULT nextval('"events_index_seq"'::text) NOT NULL,
	"eventshort" character varying(5),
	"event" character varying(20),
	Constraint "events_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 33 (OID 33271)
--
-- Name: events Type: ACL Owner: 
--

REVOKE ALL on "events" from PUBLIC;
GRANT ALL on "events" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "events" to "jstock";

--
-- TOC Entry ID 34 (OID 33308)
--
-- Name: watchlist Type: TABLE Owner: postgres
--

CREATE TABLE "watchlist" (
	"tickerid" integer NOT NULL,
	Constraint "watchlist_pkey" Primary Key ("tickerid")
);

--
-- TOC Entry ID 35 (OID 33308)
--
-- Name: watchlist Type: ACL Owner: 
--

REVOKE ALL on "watchlist" from PUBLIC;
GRANT ALL on "watchlist" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE,REFERENCES on "watchlist" to "jstock";

--
-- TOC Entry ID 14 (OID 41506)
--
-- Name: lines_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "lines_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 16 (OID 41506)
--
-- Name: lines_index_seq Type: ACL Owner: 
--

REVOKE ALL on "lines_index_seq" from PUBLIC;
GRANT ALL on "lines_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "lines_index_seq" to "jstock";

--
-- TOC Entry ID 36 (OID 74731)
--
-- Name: lines Type: TABLE Owner: postgres
--

CREATE TABLE "lines" (
	"index" integer DEFAULT nextval('"lines_index_seq"'::text),
	"tickerid" integer,
	"datex1" character(8),
	"valuey1" double precision,
	"datex2" character(8),
	"valuey2" double precision,
	"indicatorid" integer,
	"panelid" smallint,
	"indicatorcode" integer
);

--
-- TOC Entry ID 37 (OID 74731)
--
-- Name: lines Type: ACL Owner: 
--

REVOKE ALL on "lines" from PUBLIC;
GRANT ALL on "lines" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "lines" to "jstock";

\connect - jstock

--
-- TOC Entry ID 17 (OID 74781)
--
-- Name: newtable_seq Type: SEQUENCE Owner: jstock
--

CREATE SEQUENCE "newtable_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

\connect - postgres

--
-- TOC Entry ID 38 (OID 74785)
--
-- Name: tickers Type: TABLE Owner: postgres
--

CREATE TABLE "tickers" (
	"index" integer DEFAULT nextval('"tickers_index_seq"'::text),
	"exchangeid" integer,
	"ticker" character varying(15)
);

--
-- TOC Entry ID 39 (OID 74785)
--
-- Name: tickers Type: ACL Owner: 
--

REVOKE ALL on "tickers" from PUBLIC;
GRANT ALL on "tickers" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "tickers" to "jstock";

\connect - jstock

--
-- TOC Entry ID 40 (OID 82918)
--
-- Name: pga_queries Type: TABLE Owner: jstock
--

CREATE TABLE "pga_queries" (
	"queryname" character varying(64),
	"querytype" character(1),
	"querycommand" text,
	"querytables" text,
	"querylinks" text,
	"queryresults" text,
	"querycomments" text
);

--
-- TOC Entry ID 41 (OID 82918)
--
-- Name: pga_queries Type: ACL Owner: 
--

REVOKE ALL on "pga_queries" from PUBLIC;
GRANT ALL on "pga_queries" to PUBLIC;
GRANT ALL on "pga_queries" to "jstock";

--
-- TOC Entry ID 42 (OID 82923)
--
-- Name: pga_forms Type: TABLE Owner: jstock
--

CREATE TABLE "pga_forms" (
	"formname" character varying(64),
	"formsource" text
);

--
-- TOC Entry ID 43 (OID 82923)
--
-- Name: pga_forms Type: ACL Owner: 
--

REVOKE ALL on "pga_forms" from PUBLIC;
GRANT ALL on "pga_forms" to PUBLIC;
GRANT ALL on "pga_forms" to "jstock";

--
-- TOC Entry ID 44 (OID 82928)
--
-- Name: pga_scripts Type: TABLE Owner: jstock
--

CREATE TABLE "pga_scripts" (
	"scriptname" character varying(64),
	"scriptsource" text
);

--
-- TOC Entry ID 45 (OID 82928)
--
-- Name: pga_scripts Type: ACL Owner: 
--

REVOKE ALL on "pga_scripts" from PUBLIC;
GRANT ALL on "pga_scripts" to PUBLIC;
GRANT ALL on "pga_scripts" to "jstock";

--
-- TOC Entry ID 46 (OID 82933)
--
-- Name: pga_reports Type: TABLE Owner: jstock
--

CREATE TABLE "pga_reports" (
	"reportname" character varying(64),
	"reportsource" text,
	"reportbody" text,
	"reportprocs" text,
	"reportoptions" text
);

--
-- TOC Entry ID 47 (OID 82933)
--
-- Name: pga_reports Type: ACL Owner: 
--

REVOKE ALL on "pga_reports" from PUBLIC;
GRANT ALL on "pga_reports" to PUBLIC;
GRANT ALL on "pga_reports" to "jstock";

--
-- TOC Entry ID 48 (OID 82938)
--
-- Name: pga_schema Type: TABLE Owner: jstock
--

CREATE TABLE "pga_schema" (
	"schemaname" character varying(64),
	"schematables" text,
	"schemalinks" text
);

--
-- TOC Entry ID 49 (OID 82938)
--
-- Name: pga_schema Type: ACL Owner: 
--

REVOKE ALL on "pga_schema" from PUBLIC;
GRANT ALL on "pga_schema" to PUBLIC;
GRANT ALL on "pga_schema" to "jstock";

--
-- TOC Entry ID 50 (OID 82943)
--
-- Name: pga_layout Type: TABLE Owner: jstock
--

CREATE TABLE "pga_layout" (
	"tablename" character varying(64),
	"nrcols" smallint,
	"colnames" text,
	"colwidth" text
);

--
-- TOC Entry ID 51 (OID 82943)
--
-- Name: pga_layout Type: ACL Owner: 
--

REVOKE ALL on "pga_layout" from PUBLIC;
GRANT ALL on "pga_layout" to PUBLIC;
GRANT ALL on "pga_layout" to "jstock";

\connect - postgres

--
-- TOC Entry ID 19 (OID 82955)
--
-- Name: panels_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "panels_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 21 (OID 82955)
--
-- Name: panels_index_seq Type: ACL Owner: 
--

REVOKE ALL on "panels_index_seq" from PUBLIC;
GRANT ALL on "panels_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "panels_index_seq" to "jstock";

--
-- TOC Entry ID 52 (OID 82957)
--
-- Name: panels Type: TABLE Owner: postgres
--

CREATE TABLE "panels" (
	"index" integer DEFAULT nextval('"panels_index_seq"'::text) NOT NULL,
	"panelname" character varying(63),
	Constraint "panels_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 53 (OID 82957)
--
-- Name: panels Type: ACL Owner: 
--

REVOKE ALL on "panels" from PUBLIC;
GRANT ALL on "panels" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "panels" to "jstock";

--
-- TOC Entry ID 22 (OID 82960)
--
-- Name: indicatorparameters_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "indicatorparameters_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 24 (OID 82960)
--
-- Name: indicatorparameters_index_seq Type: ACL Owner: 
--

REVOKE ALL on "indicatorparameters_index_seq" from PUBLIC;
GRANT ALL on "indicatorparameters_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "indicatorparameters_index_seq" to "jstock";

--
-- TOC Entry ID 25 (OID 82965)
--
-- Name: indicators_index_seq Type: SEQUENCE Owner: postgres
--

CREATE SEQUENCE "indicators_index_seq" start 1 increment 1 maxvalue 9223372036854775807 minvalue 1 cache 1;

--
-- TOC Entry ID 27 (OID 82965)
--
-- Name: indicators_index_seq Type: ACL Owner: 
--

REVOKE ALL on "indicators_index_seq" from PUBLIC;
GRANT ALL on "indicators_index_seq" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE on "indicators_index_seq" to "jstock";

--
-- TOC Entry ID 54 (OID 82967)
--
-- Name: indicators Type: TABLE Owner: postgres
--

CREATE TABLE "indicators" (
	"index" integer DEFAULT nextval('"indicators_index_seq"'::text) NOT NULL,
	"indicator" character varying(31) NOT NULL,
	Constraint "indicators_pkey" Primary Key ("index")
);

--
-- TOC Entry ID 55 (OID 82967)
--
-- Name: indicators Type: ACL Owner: 
--

REVOKE ALL on "indicators" from PUBLIC;
GRANT ALL on "indicators" to "postgres";
GRANT INSERT,SELECT,UPDATE,DELETE,REFERENCES on "indicators" to "jstock";

--
-- TOC Entry ID 56 (OID 83354)
--
-- Name: indicatorparameters Type: TABLE Owner: postgres
--

CREATE TABLE "indicatorparameters" (
	"index" integer DEFAULT nextval('"indicatorparameters_index_seq"'::text),
	"tickerid" integer,
	"indicatorid" integer,
	"parametervalues" character varying(63),
	"panelid" smallint,
	"indicatorcode" integer,
	"displayed" boolean
);

--
-- TOC Entry ID 57 (OID 83354)
--
-- Name: indicatorparameters Type: ACL Owner: 
--

REVOKE ALL on "indicatorparameters" from PUBLIC;
GRANT ALL on "indicatorparameters" to "postgres";
GRANT INSERT,SELECT,RULE,UPDATE,DELETE,REFERENCES on "indicatorparameters" to "jstock";

--
-- Data for TOC Entry ID 60 (OID 33243)
--
-- Name: notes Type: TABLE DATA Owner: postgres
--


COPY "notes" FROM stdin;
--
-- Data for TOC Entry ID 61 (OID 33265)
--
-- Name: exchange Type: TABLE DATA Owner: postgres
--


COPY "exchange" FROM stdin;
1	ose
16	n
2	nyse
5	to
\.
--
-- Data for TOC Entry ID 62 (OID 33271)
--
-- Name: events Type: TABLE DATA Owner: postgres
--


COPY "events" FROM stdin;
\.
--
-- Data for TOC Entry ID 63 (OID 33308)
--
-- Name: watchlist Type: TABLE DATA Owner: postgres
--


COPY "watchlist" FROM stdin;
85
\.
--
-- Data for TOC Entry ID 64 (OID 74731)
--
-- Name: lines Type: TABLE DATA Owner: postgres
--


COPY "lines" FROM stdin;
440	38	20040428	0.652010706871922	20041101	0.10866845114532	18	2	1172
441	38	20041005	0.959904651783663	20040812	0.344116761960181	18	2	1172
442	38	20041005	0.959904651783663	20040812	0.344116761960181	18	2	1172
443	38	20040827	0.326005353435961	20040705	0.307893944911741	18	2	1172
444	38	20040812	0.452785213105502	20041018	0.470896621629722	18	2	1172
\.
--
-- Data for TOC Entry ID 65 (OID 74785)
--
-- Name: tickers Type: TABLE DATA Owner: postgres
--


COPY "tickers" FROM stdin;
20	1	stl
21	1	tgs
19	1	ken
22	1	fast
23	1	ner
52	2	amd
25	1	akvr
1	1	cru
2	1	nsg
3	1	tat
4	1	tel
5	1	taa
26	1	akvr
56	1	rcl
11	1	tad
28	1	fro
57	1	rcl
58	1	nhy
32	1	elt
98	1	noi
34	1	eme
99	16	amd
61	1	fjo
38	1	dno
101	16	intc
41	1	ork
102	1	elk
44	1	dnbnor
46	1	foe
48	1	jin
83	1	edbasa
85	1	tom

\.
\connect - jstock

--
-- Data for TOC Entry ID 66 (OID 82918)
--
-- Name: pga_queries Type: TABLE DATA Owner: jstock
--


COPY "pga_queries" FROM stdin;
\.
--
-- Data for TOC Entry ID 67 (OID 82923)
--
-- Name: pga_forms Type: TABLE DATA Owner: jstock
--


COPY "pga_forms" FROM stdin;
\.
--
-- Data for TOC Entry ID 68 (OID 82928)
--
-- Name: pga_scripts Type: TABLE DATA Owner: jstock
--


COPY "pga_scripts" FROM stdin;
\.
--
-- Data for TOC Entry ID 69 (OID 82933)
--
-- Name: pga_reports Type: TABLE DATA Owner: jstock
--


COPY "pga_reports" FROM stdin;
\.
--
-- Data for TOC Entry ID 70 (OID 82938)
--
-- Name: pga_schema Type: TABLE DATA Owner: jstock
--


COPY "pga_schema" FROM stdin;
\.
--
-- Data for TOC Entry ID 71 (OID 82943)
--
-- Name: pga_layout Type: TABLE DATA Owner: jstock
--


COPY "pga_layout" FROM stdin;
exchange	2	index exchangename	150 150
\.
\connect - postgres

--
-- Data for TOC Entry ID 72 (OID 82957)
--
-- Name: panels Type: TABLE DATA Owner: postgres
--


COPY "panels" FROM stdin;
1	all
2	daily
3	weekly
\.
--
-- Data for TOC Entry ID 73 (OID 82967)
--
-- Name: indicators Type: TABLE DATA Owner: postgres
--


COPY "indicators" FROM stdin;
18	ma
19	ema
20	macd
21	rsi
22	candlestick
\.
--
-- Data for TOC Entry ID 74 (OID 83354)
--
-- Name: indicatorparameters Type: TABLE DATA Owner: postgres
--


COPY "indicatorparameters" FROM stdin;
\.
--
-- TOC Entry ID 3 (OID 33241)
--
-- Name: notes_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"notes_index_seq"', 53, true);

--
-- TOC Entry ID 6 (OID 33249)
--
-- Name: tickers_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"tickers_index_seq"', 103, true);

--
-- TOC Entry ID 9 (OID 33263)
--
-- Name: exchange_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"exchange_index_seq"', 19, true);

--
-- TOC Entry ID 12 (OID 33269)
--
-- Name: events_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"events_index_seq"', 1, false);

--
-- TOC Entry ID 15 (OID 41506)
--
-- Name: lines_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"lines_index_seq"', 469, true);

\connect - jstock

--
-- TOC Entry ID 18 (OID 74781)
--
-- Name: newtable_seq Type: SEQUENCE SET Owner: jstock
--

SELECT setval ('"newtable_seq"', 1, false);

\connect - postgres

--
-- TOC Entry ID 20 (OID 82955)
--
-- Name: panels_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"panels_index_seq"', 255, true);

--
-- TOC Entry ID 23 (OID 82960)
--
-- Name: indicatorparameters_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"indicatorparameters_index_seq"', 37, true);

--
-- TOC Entry ID 26 (OID 82965)
--
-- Name: indicators_index_seq Type: SEQUENCE SET Owner: postgres
--

SELECT setval ('"indicators_index_seq"', 22, true);

