/*
 *                                 jStock
 *                    (C) Copyright 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


/*
 * Created on 02-Mar-2004
 *
 */
package com.exponto.jstock.gui.chartinfo;

import java.util.ArrayList;

/**
 * @author kaare
 *
 */
public class Rules {
	private static Rules instance;
	private static ArrayList ruleList;
	
	// Sample data to be deleted
	private static Object[] r1 = {"MA buy", "ma", ">", "close", "", "","", "buy"};
	private static Object[] r2 = {"MA sell", "ma", "<", "close","", "","", "sell"};
	private static Object[] r3 = {"RSI", "rsi", ">", "70","MA", ">","close", "buy"};

	/**
	 * 
	 */
	private Rules() {
		ruleList = new ArrayList();
		load();
	}

	static public Rules getInstance() {
		if (instance==null) {
			instance = new Rules();
		}
		return instance;
	}

	public static ArrayList getRules () {
		return ruleList;
	}

	public static void setRules (ArrayList array) {
		ruleList = array;
	}
	
	public static void addRule (Object[] rule) {
		ruleList.add(rule);
	}
	
	public static void save() {
		
	}
	
	public static void load() {
		
		// Dummy load
		ruleList.add(r1);
		ruleList.add(r2);
		ruleList.add(r3);
	}
}
