/*
 *                                 jStock
 *                    (C) Copyright 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/*
 * Created on 25-Feb-2004
 *
 */
package com.exponto.jstock.gui.chartinfo;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

/**
 * @author kaare
 *
 */
public class TickerRenderer extends JLabel implements TableCellRenderer {

	/**
	 * 
	 */
	public TickerRenderer() {
		super();
		setOpaque(true);
		
	}

	/**
	 * @param text
	 */
	public TickerRenderer(String text) {
		super(text);
		setOpaque(true);
		
	}

	/**
	 * @param text
	 * @param horizontalAlignment
	 */
	public TickerRenderer(String text, int horizontalAlignment) {
		super(text, horizontalAlignment);
		setOpaque(true);
		
	}

	/**
	 * @param image
	 */
	public TickerRenderer(Icon image) {
		super(image);
		setOpaque(true);
	}

	/**
	 * @param image
	 * @param horizontalAlignment
	 */
	public TickerRenderer(Icon image, int horizontalAlignment) {
		super(image, horizontalAlignment);
		setOpaque(true);
	}

	/**
	 * @param text
	 * @param icon
	 * @param horizontalAlignment
	 */
	public TickerRenderer(String text, Icon icon, int horizontalAlignment) {
		super(text, icon, horizontalAlignment);
		setOpaque(true);
	}

	/* (non-Javadoc)
	 * @see javax.swing.table.TableCellRenderer#getTableCellRendererComponent(javax.swing.JTable, java.lang.Object, boolean, boolean, int, int)
	 */
	public Component getTableCellRendererComponent(
				JTable table,
				Object value,
				boolean isSelected,
				boolean hasFocus,
				int row,
				int column) {
			this.setForeground(java.awt.Color.black);
			this.setText( (String) value);
			//System.out.println("JLabel text is " + this.getText());
			if (this.getText().equalsIgnoreCase("ken.ose") ) {
				this.setBackground(java.awt.Color.YELLOW);
			} else if (this.getText().equalsIgnoreCase("nsg.ose") ) {
				this.setBackground(java.awt.Color.GREEN);
			} else {
				this.setBackground(java.awt.Color.RED);
				//this.setText("tjo hei");
			}
			return this;
	}

}