/*
 *                                 jStock
 *                    (C) Copyright 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


/*
 * For default indicators.
 * 
 * Created on 18-Feb-2004
 *
 */
package com.exponto.jstock.gui.options;
import javax.swing.JComponent;
import javax.swing.JPanel;
import java.util.ArrayList;
import java.awt.GridLayout;
//import java.awt.*;
//import com.exponto.jstock.UserPreferences;
import com.exponto.jstock.db.IndicatorController;
import com.exponto.util.*;
import org.apache.log4j.Logger;
/**
 * @author kaare
 *
 */
public class IndicatorsMenu {
	
	IndicatorController indicatorController;
	ArrayList jComponentList;

	static Logger logger = Logger.getLogger(IndicatorsMenu.class);
	
	public IndicatorsMenu() {
		indicatorController = IndicatorController.getInstance();
		initComponents();
	}

	public JPanel getIndicatorsPanel() {
		JPanel indicatorPanel = new JPanel();
		indicatorPanel.setLayout(new GridLayout(jComponentList.size(), 1));
		TableLayoutPanel tP;
		for (int i = 0; i < jComponentList.size(); i++) {
			tP = new TableLayoutPanel((JComponent [][]) jComponentList.get(i));
			tP.setOpaque(true);
			indicatorPanel.add(tP);
		}
		indicatorPanel.setOpaque(true);
		return indicatorPanel;
	}

	public void save() {
		indicatorController.saveAll();
	}

	public void restore() {
		indicatorController.restoreAll();
	}
	
	private void initComponents() {
		jComponentList = indicatorController.getJComponentList();
	}
	
}
