/*
 *                                 jStock
 *                    (C) Copyright 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */


/*
 * Created on 12-Nov-2004
 *
 */
package com.exponto.jstock.indicators;

import javax.swing.JComponent;
import javax.swing.JTextField;

/**
 *	Dummy IndicatorParameter for indicators without parameters 
 * @author kaare
 *
 */
public class DummyParameters extends IndicatorParameters {
	
	JComponent [][] compArray = null;
	int [] numberOfDays = new int[1];
	JTextField dummyText;
	String propertyName;
	String toolTip = "";
	String labelName = "";

	public DummyParameters() {
		
		propertyName ="";
	}

	
	public DummyParameters(int days) {
		
		propertyName ="";
	}

	public DummyParameters(String s) {
		
		propertyName ="";
	}

	
	public DummyParameters(int days, String propName, String label,String toolTipString) {

	}


	public int [] getParameters() {
		return numberOfDays;
	}

	public void setParameters(int [] parameters) {
		numberOfDays = parameters;
	}

	
	public void setParameters(int index, int value) {
		numberOfDays[index] = value;
	}
	
	public String [] getParameterNames() {
		String [] strA = new String [1];
		strA[0] = propertyName;
		return strA;
	}

	/**
	 * @return the number of days used in the Moving Average calculation
	 */
	public int getNumberOfDays() {
		return numberOfDays[0];
	}

	/**
	 * @param i the number of days used in the Moving Average calculation
	 */
	public void setNumberOfDays(int i) {
		numberOfDays[0] = i;
	}

	public JComponent[][] getUserInterface() {
		return compArray;
	}

	public boolean indicatorEnabled() {
		return true;
	}

	public void updateParameters() {

	}

	private JComponent[][] initUserInterface() {
		return compArray;
	}

	public String toParameterString() {
		return  "dummy";
	}


	/* (non-Javadoc)
	 * @see com.exponto.jstock.indicators.IndicatorParametersInterface#fromParameterString()
	 */
	public int [] fromParameterString(String s) {
		int [] result = new int[1];
		result[0] = Integer.parseInt(s);
		return result;
	}
	
	public int hashCode() {
		return 0;
	}
}
