/*
 *                                 jStock
 *                    (C) Copyright 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/*
 * Created on 26-Oct-2004
 * 
 */
package com.exponto.jstock.indicators;

/**
 * Encapsulates some information needed to make persistent lines for 
 * indicators with separate panels.
 * 
 * @author kaare
 *
 */
public class IndicatorAxisInfo {
	private double m_maxValue; // Max value on the y axis
	private double m_minValue; // Min value on the y axis
	private String m_scale; // Linear, logarithmic whatever that is supported by the class that uses this info

	public IndicatorAxisInfo(double min, double max, String scale) {
		m_minValue = min;
		m_maxValue = max;
		m_scale = scale;
	}

	
	
	/**
	 * @return Returns the maxValue.
	 */
	public double getMaxValue() {
		return m_maxValue;
	}
	/**
	 * @param value The maxValue to set.
	 */
	public void setMaxValue(double value) {
		m_maxValue = value;
	}
	/**
	 * @return Returns the minValue.
	 */
	public double getMinValue() {
		return m_minValue;
	}
	/**
	 * @param value The minValue to set.
	 */
	public void setMinValue(double value) {
		m_minValue = value;
	}
	/**
	 * @return Returns the scale.
	 */
	public String getScale() {
		return m_scale;
	}
}
