/*
 *                                 jStock
 *                    (C) Copyright 2004, Kaare Ranum
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials
 *      provided with the distribution.
 *
 *   3. Neither the name of Ex Ponto nor the names of its of its
 *      contributors may be used to endorse or promote products
 *      derived from this software without specific prior written
 *      permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/*
 * Created on 03-Jul-2004
 *
 */
package com.exponto.jstock.io;

/**
 * Defines a lot of Constants, mostly strings used by the com.exponto.jstock.io
 * packages.
 * 
 * @author kaare
 * 
 */
public class Constants {
//	 Fileformat used by LoadDataSet
	protected static final String netfonds ="Netfonds";
	protected static final String yahoo ="Yahoo";
	protected static final String other ="Other";

//	 For use in LogTradingData status field
    public static final char unknown = 'U'; // Not validated, but data present
	public static final char missing = 'M'; // No data available (public holidays)
	public static final char faulty = 'F'; // Data not correct
	public static final char drop = 'D'; // Data is probably not correct
	
	public static final char ok = '0'; // Validated and OK
	public static final char noTrade = 'N'; // Not traded that day (all zeros)
	public static final char noHighLow = 'm'; // Minimal - High and low not included in dataset

	public static final char ex = 'E'; // Ex dividende
	public static final char split = 'S'; // Split
	public static final char join = 'J'; // Join

}
